summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Paul Wisehart <wise@lupulin.net>2010-05-11 22:55:15 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:15 +0200
commit64ce3057546d43f6e3bbd1bef1fe2ca7dc5cb87f (patch)
tree44f6e44659c637210bdf3b289b2b3c0625a2beed /system
parent9cbd58d0a4570085d1563266f22dd4bcf6c3d83f (diff)
downloadslackbuilds-64ce3057546d43f6e3bbd1bef1fe2ca7dc5cb87f.tar.gz
slackbuilds-64ce3057546d43f6e3bbd1bef1fe2ca7dc5cb87f.tar.xz
system/detachtty: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/detachtty/README6
-rw-r--r--system/detachtty/detachtty.SlackBuild73
-rw-r--r--system/detachtty/detachtty.info8
-rw-r--r--system/detachtty/slack-desc18
4 files changed, 105 insertions, 0 deletions
diff --git a/system/detachtty/README b/system/detachtty/README
new file mode 100644
index 0000000000..48052fde3a
--- /dev/null
+++ b/system/detachtty/README
@@ -0,0 +1,6 @@
+detachtty lets you run interactive programs non-interactively, and
+connect to them over the network when you do need to interact with
+them. It's designed for long-running Lisp processes. Unlike screen,
+it works in emacs comint modes, and unlike qcmu, it deals correctly
+with passing on a SIGINT sent to it. Needs ssh for operation over
+the net.
diff --git a/system/detachtty/detachtty.SlackBuild b/system/detachtty/detachtty.SlackBuild
new file mode 100644
index 0000000000..c70d438e01
--- /dev/null
+++ b/system/detachtty/detachtty.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for detachtty
+
+# Written by Paul Wisehart wise@lupulin.net
+
+PRGNAM=detachtty
+VERSION=9
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}-${VERSION}
+tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Compile the application and install it into the $PKG directory
+make
+#make install DESTDIR=$PKG
+#copy bin and man pages over manually (super simple binary only program)
+
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+cp attachtty detachtty $PKG/usr/bin/
+cp detachtty.1 $PKG/usr/man/man1/
+
+
+# Strip binaries and libraries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress man pages:
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/detachtty/detachtty.info b/system/detachtty/detachtty.info
new file mode 100644
index 0000000000..e049fc7971
--- /dev/null
+++ b/system/detachtty/detachtty.info
@@ -0,0 +1,8 @@
+PRGNAM="detachtty"
+VERSION="9"
+HOMEPAGE="http://packages.debian.org/detachtty"
+DOWNLOAD="http://ftp.debian.org/debian/pool/main/d/detachtty/detachtty_9.tar.gz"
+MD5SUM="7701f5fa1c265adb5f99c0d4f0ea77ad"
+MAINTAINER="Paul Wisehart"
+EMAIL="wise@lupulin.net"
+APPROVED="David Somero"
diff --git a/system/detachtty/slack-desc b/system/detachtty/slack-desc
new file mode 100644
index 0000000000..184d901c5c
--- /dev/null
+++ b/system/detachtty/slack-desc
@@ -0,0 +1,18 @@
+ HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+detachtty:
+detachtty: detachtty (a screen like program)
+detachtty:
+detachtty: detachtty lets you run interactive programs non-interactively, and
+detachtty: connect to them over the network when you do need to interact with
+detachtty: them. It's designed for long-running Lisp processes. Unlike screen,
+detachtty: it works in emacs comint modes, and unlike qcmu, it deals correctly
+detachtty: with passing on a SIGINT sent to it. Needs ssh for operation over
+detachtty: the net.
+detachtty: